read(fd int, buffer *any, length int) -> int {
	return syscall(0, fd, buffer, length)
}

write(fd int, buffer *any, length int) -> int {
	return syscall(1, fd, buffer, length)
}

open(path *any, flags int, mode int) -> int {
	return syscall(2, path, flags, mode)
}

close(fd int) -> int {
	return syscall(3, fd)
}

mmap(address int, length int, protection int, flags int) -> *any {
	return syscall(9, address, length, protection, flags)
}

munmap(address *any, length int) -> int {
	return syscall(11, address, length)
}

clone(flags int, stack *any) -> int {
	return syscall(56, flags, stack)
}

fork() -> int {
	return syscall(57)
}

execve(path *any, argv *any, envp *any) -> int {
	return syscall(59, path, argv, envp)
}

exit(status int) {
	syscall(60, status)
}

waitid(type int, id int, info *any, options int) -> int {
	return syscall(247, type, id, info, options)
}

socket(family int, type int, protocol int) -> int {
	return syscall(41, family, type, protocol)
}

accept(fd int, address *any, length int) -> int {
	return syscall(43, fd, address, length)
}

bind(fd int, address *sockaddr_in, length int) -> int {
	return syscall(49, fd, address, length)
}

listen(fd int, backlog int) -> int {
	return syscall(50, fd, backlog)
}

setsockopt(fd int, level int, optname int, optval *any, optlen int) -> int {
	return syscall(54, fd, level, optname, optval, optlen)
}

getcwd(buffer *any, length int) -> int {
	return syscall(79, buffer, length)
}

chdir(path *any) -> int {
	return syscall(80, path)
}

rename(old *any, new *any) -> int {
	return syscall(82, old, new)
}

mkdir(path *any, mode int) -> int {
	return syscall(83, path, mode)
}

rmdir(path *any) -> int {
	return syscall(84, path)
}

unlink(file *any) -> int {
	return syscall(87, file)
}

nanosleep(duration *timespec) -> int {
	return syscall(35, duration, 0)
}