package asmc

import (
	"git.akyoto.dev/cli/q/src/asm"
	"git.akyoto.dev/cli/q/src/x86"
)

func (c *compiler) call(x asm.Instruction) {
	c.code = x86.Call(c.code, 0x00_00_00_00)
	size := 4
	label := x.Data.(*asm.Label)

	pointer := &pointer{
		Position: Address(len(c.code) - size),
		OpSize:   1,
		Size:     uint8(size),
	}

	pointer.Resolve = func() Address {
		destination, exists := c.codeLabels[label.Name]

		if !exists {
			panic("unknown jump label")
		}

		distance := destination - (pointer.Position + Address(pointer.Size))
		return distance
	}

	c.codePointers = append(c.codePointers, pointer)
}
