package ast

import (
	"git.akyoto.dev/cli/q/src/fs"
	"git.akyoto.dev/cli/q/src/token"
)

// Parse generates an AST from a list of tokens.
func Parse(tokens []token.Token, file *fs.File) (AST, error) {
	nodes := make(AST, 0, len(tokens)/64)

	err := eachInstruction(tokens, func(instruction token.List) error {
		node, err := parseInstruction(instruction, file, nodes)

		if node != nil {
			nodes = append(nodes, node)
		}

		return err
	})

	return nodes, err
}
